package cn.com.qmth.examcloud.core.reports.api.provider;

import org.examcloud.core.reports.api.ExamCourseDataReportCloudService;
import org.examcloud.core.reports.api.request.SaveExamCourseDataReportListReq;
import org.examcloud.core.reports.api.response.SaveExamCourseDataReportListResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.reports.service.ExamCourseDataReportService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "考试课程数值接口")
@RequestMapping("${$rmp.cloud.reports}"+"examCourseDataReport")
public class ExamCourseDataReportCloudServiceProvider extends ControllerSupport implements ExamCourseDataReportCloudService {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = -6660188438072178202L;
	@Autowired
	private ExamCourseDataReportService examCourseDataReportService;

	@ApiOperation(value = "批量保存")
    @PostMapping("/saveList")
	@Override
	public SaveExamCourseDataReportListResp saveExamCourseDataReportList(@RequestBody SaveExamCourseDataReportListReq req) {
		if(req.getBeans()==null||req.getBeans().size()==0) {
			throw new StatusException("1000001", "数据为空");
		}
		examCourseDataReportService.saveExamCourseDataReportList(req.getBeans());
		return new SaveExamCourseDataReportListResp();
	}

}
