package cn.com.qmth.examcloud.core.reports.api.provider;

import org.examcloud.core.reports.api.ExamOrgReportCloudService;
import org.examcloud.core.reports.api.request.SaveExamOrgReportListReq;
import org.examcloud.core.reports.api.response.SaveExamOrgReportListResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.reports.service.ExamOrgReportService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "考试-学习中心数值接口")
@RequestMapping("${$rmp.cloud.reports}"+"examOrgReport")
public class ExamOrgReportCloudServiceProvider extends ControllerSupport implements ExamOrgReportCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2138703572207468208L;
	
	@Autowired
	private ExamOrgReportService examOrgReportService;

	@ApiOperation(value = "批量保存")
    @PostMapping("/saveList")
	@Override
	public SaveExamOrgReportListResp saveExamOrgReportList(@RequestBody SaveExamOrgReportListReq req) {
		if(req.getBeans()==null||req.getBeans().size()==0) {
			throw new StatusException("1000001", "数据为空");
		}
		examOrgReportService.saveExamOrgReportList(req.getBeans());
		return new SaveExamOrgReportListResp();
	}

}
