package cn.com.qmth.examcloud.core.reports.api.provider;

import org.examcloud.core.reports.api.ProjectCloudService;
import org.examcloud.core.reports.api.request.UpdateProjectStatusReq;
import org.examcloud.core.reports.api.response.UpdateProjectStatusResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.reports.service.ProjectService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "项目接口")
@RequestMapping("${$rmp.cloud.reports}"+"project")
public class ProjectCloudServiceProvider extends ControllerSupport implements ProjectCloudService {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7840494213770095239L;
	@Autowired
	private ProjectService projectService;

	@ApiOperation(value = "批量保存")
    @PostMapping("/updateStatus")
	@Override
	public UpdateProjectStatusResp updateProjectStatus(@RequestBody UpdateProjectStatusReq req) {
		if(req.getProjectId()==null) {
			throw new StatusException("1000001", "projectId不能为空");
		}
		projectService.updateProjectStatus(req);
		return new UpdateProjectStatusResp();
	}

}
